# Uses of Interface
org.bukkit.entity.Spellcaster

Packages that use Spellcaster
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Spellcaster in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Spellcaster
Modifier and Type
Field
Description
`static final GoalKey<Spellcaster>`
VanillaGoal.`SPELLCASTER_CAST_SPELL`
Deprecated.
`static final GoalKey<Spellcaster>`
VanillaGoal.`SPELLCASTER_CASTING_SPELL`

## Uses of Spellcaster in org.bukkit.entity

Subinterfaces of Spellcaster in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Evoker`
Represents an Evoker "Illager".
`interface`
`Illusioner`
Represents an Illusioner "Illager".

## Uses of Spellcaster in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Spellcaster
Modifier and Type
Method
Description
`@NotNull Spellcaster`
EntitySpellCastEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Spellcaster
Modifier
Constructor
Description
``
`EntitySpellCastEvent(@NotNull Spellcaster what, Spellcaster.Spell spell)`